Disk ARchive: libdar::archive_options_listing_shell Class Reference

| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Private Attributes | List of all members
libdar::archive_options_listing_shell Class Reference
API

class holding optional shell specific parameters used to list the contents of an existing archive More...

`#include <archive_options_listing_shell.hpp>`

Inherits libdar::archive_options_listing.

## Public Types
enum | listformat { normal , tree , xml , slicing }
| defines the way archive listing is done: More...

## Public Member Functions
| archive_options_listing_shell (const archive_options_listing_shell &ref)=default
| archive_options_listing_shell (archive_options_listing_shell &&ref) noexcept=default
archive_options_listing_shell & | operator= (const archive_options_listing_shell &ref)=default
archive_options_listing_shell & | operator= (archive_options_listing_shell &&ref) noexcept=default
virtual void | clear () override
void | set_list_mode (listformat list_mode)
void | set_sizes_in_bytes (bool arg)
listformat | get_list_mode () const
bool | get_sizes_in_bytes () const
Public Member Functions inherited from libdar::archive_options_listing
| archive_options_listing (const archive_options_listing &ref)
| archive_options_listing (archive_options_listing &&ref) noexcept
archive_options_listing & | operator= (const archive_options_listing &ref)
archive_options_listing & | operator= (archive_options_listing &&ref) noexcept
void | set_info_details (bool info_details)
| whether output should be verbosed --> to be moved to shell output
void | set_selection (const mask &selection)
| mask applied to filename, only those marching it will be listed
void | set_subtree (const mask &subtree)
| defines the directories and files to consider
void | set_filter_unsaved (bool filter_unsaved)
| whether to only show entries that have their data fully saved
void | set_slicing_location (bool val)
| whether to calculate the slice location of each file
void | set_user_slicing (const infinint &slicing_first, const infinint &slicing_others)
| when slice location is performed, user may modify the slice layout of the archive
void | set_display_ea (bool display_ea)
| whether to fetch EA for listing
bool | get_info_details () const
const mask & | get_selection () const
const mask & | get_subtree () const
bool | get_filter_unsaved () const
bool | get_user_slicing (infinint &slicing_first, infinint &slicing_others) const
bool | get_slicing_location () const
bool | get_display_ea () const

## Private Attributes
listformat | x_list_mode
bool | x_sizes_in_bytes

## Detailed Description

class holding optional shell specific parameters used to list the contents of an existing archive

Note
  this class is both used for historical reason and user convenience, but to simplify/clarity the API the original archive_options_listing only retain the shell independent parameters

Definition at line 47 of file archive_options_listing_shell.hpp.

## Member Enumeration Documentation

## ◆ listformat

enum libdar::archive_options_listing_shell::listformat

defines the way archive listing is done:

Enumerator
normal | the tar-like listing (this is the default)
tree | the original dar's tree listing (for those that like forest)
xml | the xml catalogue output
slicing | the slicing output (give info about where files are located)

Definition at line 61 of file archive_options_listing_shell.hpp.

## Constructor & Destructor Documentation

## ◆ archive_options_listing_shell()

libdar::archive_options_listing_shell::archive_options_listing_shell | ( |  | ) |
| inline

Definition at line 50 of file archive_options_listing_shell.hpp.

## Member Function Documentation

## ◆ clear()

virtual void libdar::archive_options_listing_shell::clear | ( |  | ) |
| overridevirtual

Reimplemented from libdar::archive_options_listing.

## ◆ get_list_mode()

listformat libdar::archive_options_listing_shell::get_list_mode | ( |  | ) | const
| inline

Definition at line 79 of file archive_options_listing_shell.hpp.

## ◆ get_sizes_in_bytes()

bool libdar::archive_options_listing_shell::get_sizes_in_bytes | ( |  | ) | const
| inline

Definition at line 80 of file archive_options_listing_shell.hpp.

## ◆ set_list_mode()

void libdar::archive_options_listing_shell::set_list_mode | ( | listformat | list_mode | ) |
| inline

Definition at line 73 of file archive_options_listing_shell.hpp.

## ◆ set_sizes_in_bytes()

void libdar::archive_options_listing_shell::set_sizes_in_bytes | ( | bool | arg | ) |
| inline

Definition at line 74 of file archive_options_listing_shell.hpp.

## Member Data Documentation

## ◆ x_list_mode

listformat libdar::archive_options_listing_shell::x_list_mode
| private

Definition at line 83 of file archive_options_listing_shell.hpp.

## ◆ x_sizes_in_bytes

bool libdar::archive_options_listing_shell::x_sizes_in_bytes
| private

Definition at line 84 of file archive_options_listing_shell.hpp.

The documentation for this class was generated from the following file:

- archive_options_listing_shell.hpp